Subject: Re: Efficient way to import snapshots?

From: Jakub Narebski <[email-masked]>
Date: Mon, 30 Jul 2007 23:22:54 +0200

Linus Torvalds wrote:

> On Mon, 30 Jul 2007, Craig Boston wrote:
>> 
>> So far the main snag I've found is that AFAIK there's no equivalent to
>> "svk import" to load a big tree (~37000 files) into a branch and commit
>> the changes.  Here's the procedure I've come up with:
>> 
>> cd /path/to/git/repo
>> git checkout vendor_branch_X
>> git rm -r .
>> cp -R /path/to/cvs/checkout_X/* ./
>> git add .
>> git commit -m"Import yyyymmdd snapshot"
> 
> Ouch.
> 
> What you want to do should fit git very well, but doing it that way is 
> quite expensive.
> 
> Might I suggest just doing the .git thing *directly* in the CVS checkout 
> instead?
[...]

And you can try to use git-fast-import. Check out
contrib/fast-import/import-tars.perl script (adapting it to your purpose).

-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git